/*
 *
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

import component from './zh-CN/component';
import globalHeader from './zh-CN/global';
import menu from './zh-CN/menu';
import pwa from './zh-CN/pwa';
import request from './zh-CN/request';
import settings from './zh-CN/settings';
import pages from './zh-CN/pages';
import shortKey from './zh-CN/shortcutKey';

export default {
  'navBar.lang': '语言',
  'layout.user.link.help': '帮助',
  'layout.user.link.privacy': '隐私',
  'layout.user.link.terms': '条款',
  'app.preview.down.block': '下载此页面到本地项目',
  'app.welcome.link.fetch-blocks': '获取全部区块',
  'app.welcome.link.block-list': '基于 block 开发，快速构建标准页面',
  'app.copyright.produced': '2022 Produced by Dinky Community',
  ...pages,
  ...globalHeader,
  ...menu,
  ...settings,
  ...pwa,
  ...component,
  ...request,
  ...shortKey,
};
